Qwt User's Guide: QwtPolarFitter Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtPolarFitter Class Reference

A simple curve fitter for polar points. More...

`#include <qwt_polar_fitter.h>`

Inheritance diagram for QwtPolarFitter:

## Public Member Functions
| QwtPolarFitter (int stepCount=5)
virtual | ~QwtPolarFitter ()
| Destructor.
void | setStepCount (int size)
int | stepCount () const
virtual QPolygonF | fitCurve (const QPolygonF &) const override
virtual QPainterPath | fitCurvePath (const QPolygonF &) const override
Public Member Functions inherited from QwtCurveFitter
virtual | ~QwtCurveFitter ()
| Destructor.
Mode | mode () const

## Additional Inherited Members
Public Types inherited from QwtCurveFitter
enum | Mode { Polygon , Path }
| Preferred mode of the fitting algorithm. More...
Protected Member Functions inherited from QwtCurveFitter
| QwtCurveFitter (Mode mode)

## Detailed Description

A simple curve fitter for polar points.

QwtPolarFitter adds equidistant points between 2 curve points, so that the connection gets rounded according to the nature of a polar plot.

See also
  QwtPolarCurve::setCurveFitter()

Definition at line 24 of file qwt_polar_fitter.h.

## Constructor & Destructor Documentation

## ◆ QwtPolarFitter()

QwtPolarFitter::QwtPolarFitter | ( | int | stepCount = 5 | ) |

Constructor

Parameters

  stepCount | Number of points, that will be inserted between 2 points

See also
  setStepCount()

Definition at line 30 of file qwt_polar_fitter.cpp.

## ◆ ~QwtPolarFitter()

QwtPolarFitter::~QwtPolarFitter | ( |  | ) |
| virtual

Destructor.

Definition at line 38 of file qwt_polar_fitter.cpp.

## Member Function Documentation

## ◆ fitCurve()

QPolygonF QwtPolarFitter::fitCurve | ( | const QPolygonF & | points | ) | const
| overridevirtual

Insert stepCount() number of additional points between 2 elements of points.

Parameters

  points | Array of points

Returns
  Array of points including the additional points

Implements QwtCurveFitter.

Definition at line 72 of file qwt_polar_fitter.cpp.

## ◆ fitCurvePath()

QPainterPath QwtPolarFitter::fitCurvePath | ( | const QPolygonF & | points | ) | const
| overridevirtual

Parameters

  points | Series of data points

Returns
  Curve path

See also
  fitCurve()

Implements QwtCurveFitter.

Definition at line 110 of file qwt_polar_fitter.cpp.

## ◆ setStepCount()

void QwtPolarFitter::setStepCount | ( | int | stepCount | ) |

Assign the number of points, that will be inserted between 2 points The default value is 5.

Parameters

  stepCount | Number of steps

See also
  stepCount()

Definition at line 51 of file qwt_polar_fitter.cpp.

## ◆ stepCount()

int QwtPolarFitter::stepCount | ( |  | ) | const

Returns
  Number of points, that will be inserted between 2 points

See also
  setStepCount()

Definition at line 60 of file qwt_polar_fitter.cpp.